﻿.ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
    padding-top: 50px;
    padding-bottom: 0px;
}

    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
        width: 60%;
    }


.ngdialog-theme-conflict input[type=checkbox] + .imglabel,
.ngdialog-theme-conflict input[type=checkbox]:focus + .imglabel,
.ngdialog-theme-conflict input[type=checkbox], input[type=radio ] {
    /*width: 21px;
    margin-right: 0px;*/
}

.ngdialog-theme-conflict .radioLabel {
    padding-right: 10px;
}


.ngdialog-theme-conflict .btn.btn-primary {
    /*min-width: initial;*/
    width: 100%;
}


.conflict-popup {
    direction: rtl;
    background-color: white;
    /*font-family: 'Open Sans', sans-serif;*/
    border-radius: 5px;
    margin-left: auto;
    margin-right: auto;
    z-index: 2000;
    text-align: right;
    margin: 0px 30px 30px 30px;
}

    .conflict-popup .imglabelTC.imglabel {
        margin-left: 0px;
    }

    /*.imglabelTC {
    width: 100px;
    float: right;
}*/


	.conflict-popup h1 {
		color: #2882C0;
		color: var(--primary, #2882C0);
		/*padding-top: 30px;*/
		margin-bottom: 20px;
	}


    .conflict-popup .checBox-pad {
        margin-right: -3px!important;
        margin-top: 1px!important;
    }

    .conflict-popup .conflict-content {
        font-size: 14px;
        line-height: 2;
        color: #17375E;
        height: 500px;
        overflow-y: scroll;
        padding: 30px;
    }

    .conflict-popup .termConfermation {
        margin-top: 15px;
        padding-right: 50px;
    }

    .conflict-popup .conflict-content .header3 {
        text-align: center;
        text-decoration: underline;
        margin-top: 0;
    }

    .conflict-popup .conflict-content .header4 {
        text-align: center;
    }

    .conflict-popup .conflict-content .sub-header {
        font-weight: bold;
    }

    .conflict-popup .conflict-content .underlined {
        text-decoration: underline;
    }

    .conflict-popup .conflict-content ul {
        list-style-type: hebrew;
        margin-right: 30px;
        font-weight: normal;
    }

    .conflict-popup .conflict-content ol {
        font-weight: bold;
        padding-right: 20px;
    }

        .conflict-popup .conflict-content ol li {
            margin-top: 20px;
        }

    .conflict-popup .conflict-content ul li {
        margin-top: 0px;
    }


    .conflict-popup .conflict-content ol li span {
        font-weight: normal;
    }


.button-container {
    padding-bottom: 20px;
    padding-top: 15px;
}

[type="checkbox"].checkbox-custom:not(:checked) + label.label-custom,
[type="checkbox"].checkbox-custom:checked + label.label-custom {
	color: #2882C0;
	color: var(--primary, #2882C0);
}

	[type="checkbox"].checkbox-custom:not(:checked) + label.label-custom.errorChecked {
		color: red;
		color: var(--error, #b55858);
	}

/* ----------- General ----------- */

@media only screen and (max-width: 767px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }


    .conflict-popup .conflict-content {
        height: 330px;
        line-height: initial;
        padding: 10px;
    }
}

@media only screen and (max-width: 640px) and (max-width: 640px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: landscape) {
    .conflict-popup .conflict-content {
        height: 100px;
    }
}


/* ----------- iPhone 5 and 5S ----------- */

/* Portrait */
@media only screen and (min-width: 320px) and (max-width: 320px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 260px;
        line-height: initial;
        padding: 10px;
    }
}

/* Landscape */
@media only screen and (min-width: 568px) and (max-width: 568px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: landscape) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 63px;
        line-height: initial;
        padding: 10px;
    }
}

/* ----------- iPhone 6 ----------- */

/* Portrait */
@media only screen and (min-width: 375px) and (max-width: 375px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 340px;
    }

    .conflict-popup .conflict-content {
        line-height: initial;
        padding: 10px;
    }
}

/* Landscape */
@media only screen and (min-width: 640px) and (max-width: 667px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: landscape) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 100px;
    }

    .conflict-popup .conflict-content {
        line-height: initial;
        padding: 10px;
    }
}

/* ----------- iPhone 6+ ----------- */

/* Portrait */
@media only screen and (min-width: 414px) and (max-width: 414px) and (-webkit-min-device-pixel-ratio: 3) and (orientation: portrait) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 490px;
    }

    .conflict-popup .conflict-content {
        line-height: initial;
        padding: 10px;
    }
}

/* Landscape */
@media only screen and (min-width: 736px) and (max-width: 736px) and (-webkit-min-device-pixel-ratio: 3) and (orientation: landscape) {
    .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict {
        padding-top: 5%!important;
    }

        .ngdialog.ngdialog-theme-default.ngdialog-theme-conflict .ngdialog-content {
            width: auto;
        }

    .ngdialog-content .conflict-parts {
        width: auto;
    }

    .conflict-popup .conflict-content {
        height: 150px;
    }

    .conflict-popup .conflict-content {
        line-height: initial;
        padding: 10px;
    }
}

/*AVA DIALOG customisation*/
.ngdialog.ava-dialog .conflict-popup .ava-dialog--content {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    height: auto;
    max-height: 75vh;
    /*overflow:hidden;*/
}
.ngdialog.ava-dialog .conflict-popup .ava-dialog--content .row {
    flex:0 0 auto;
}
    .ngdialog.ava-dialog .conflict-popup .ava-dialog--content .row.conflict-parts {
        /*overflow-y: scroll;*/
        flex: 1 1 auto;
        display: flex;
        flex-wrap: wrap;
    }


.ngdialog.ava-dialog .conflict-popup .conflict-content {
    height:auto;
    overflow-y: scroll;
    padding: 20px;
}

.tc-popup-mail-icon {
    font-size: 1.6em !important;
    color: var(--primary, #2882C0);
    margin-right:5px;
}

.tc-popup.atrade .tc-popup-header {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 768px) {
    .tc-popup.atrade h1.ava-dialog--header {
        font-size: 2em;
    }
}

@media print {
    .conflict-popup {
        height: 2700px !important;
        max-height: 2700px !important;
    }
}